<?php

/**
 * This class holds all ajax callbacks being registered via WP API.
 * 
 * To keep things clean and fast, the methods are only used to load required
 * dependencies and call appropriate functions. Application logic (core algos)
 * is located somewhere else.
 * 
 * This is used because how WP Ajax registering works and thus to prevent loading
 * of all possible dependencies (i.e. the whole plugin) every time. Only these things
 * are loaded that are actually needed.
 *
 * @category    Ssr
 * @package     Ssr_UI
 * @subpackage  Ajax
 * @version     Release: 1.0
 * @since       Class available since Release 1.0
 * @author      Benjamin Sommer <developer@benjaminsommer.com>
 */
class Ssr_UI_Ajax {

    /**
     * Create a selection preview when creating/defining a new table filter
     * in the UI admin panel. Only an excerpt is returned. No changes are made (database or drive)
     */
    public static function createTableFilterPreview() {
        require 'TableFilter.php';
        Ssr_UI_TableFilter::previewSelection();
        die();
    }

}

?>
