/* 
 * The main SSR Javascript file for UI interaction
 * 
 */

function ssr_add_selector(name,button) {
    var div = jQuery(button).parent();
    div.before("<div><input type=\"text\" name=\"selector["+name+"][]\" /> "+
        "<a href=\"#\" onclick=\"ssr_remove_parent(this)\">[X]</a></div>");
}

function ssr_add_filter(name,button) {
    var div = jQuery(button).parent();
    div.before("<div><input type=\"text\" name=\"filterfrom["+name+"][]\" /> "+
        ">>> <input type=\"text\" name=\"filterto["+name+"][]\" /> "+
        "<a href=\"#\" onclick=\"ssr_remove_parent(this)\">[X]</a></div>");
}

function ssr_remove_parent(button) {
    jQuery(button).parent().remove();
}

function ssr_preview_selection(button) {
    var form = jQuery(button).parent().parent();
    var form_elements = form.serialize();
    jQuery('#ssr-result-preview').fadeTo('slow',0.3);
    jQuery(document).ready(function($) {
        var data = {
            action: 'ssr_preview_selection',
            form: form_elements
        };
        jQuery.post(ajaxurl, data, function(out) {
            document.getElementById('ssr-result-preview').innerHTML = out;
            jQuery('#ssr-result-preview').fadeTo('fast',1.0);
        });
    });
}

jQuery(document).ready(function($){
    var ssrfoot = document.getElementById('footer-ssr');
    if(ssrfoot)
        jQuery("#footer-upgrade").hide();
});

function ssr_visible(id) {
    document.getElementById(id).style.visibility = 'visible';
}

function ssr_hidden(id) {
    document.getElementById(id).style.visibility = 'hidden';
}